# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(FindBin.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(RT.pm) perl(Socket.pm) perl(Test/Simple.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.16
%define module_name RTx-S3Invoker
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: Simple Saved Search Invoker
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JP/JPIERCE/%module_name-%module_version.tgz
BuildArch: noarch

%description
This module adds a `do:' operator to Simple Search, and provides a
brief description on Search/Simple.html

Features of the operator include:

=over

=item Directly display search results, or list of searches matching operand.

S3Invoker tries to 'Do What You Mean'. If it finds exactly one thing matching
the operand (right-hand side of the colon), it runs that search, if there are
many matches (Ambiguous search) it lists them as clickable links.

Matching is done with LIKE '%%operand%%'. Consequently, if no operand is
supplied, a list of all accessible saved searches is shown.

=item BONUS: The ability to access global searches!

Now it's easy to display any global search, and use it as the basis of a
custom saved search. Are there things you occassionally need to see, but
don't want clogging up your home page? Remove "Unowned tickets" and call
`do:unowned' at your leisure.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc CHANGES TODO README
%perl_vendor_privlib/R*

%changelog
* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- initial import by package builder

